## org.apache.batik.css.parser
Class DefaultPseudoClassCondition

    java.lang.Object
      org.apache.batik.css.parser.AbstractAttributeCondition
          org.apache.batik.css.parser.DefaultPseudoClassCondition

All Implemented Interfaces:
  org.w3c.css.sac.AttributeCondition, org.w3c.css.sac.Condition

    public class DefaultPseudoClassCondition

extends AbstractAttributeCondition

This class provides an implementation of the `AttributeCondition` interface.

Field Summary
`protected java.lang.String` `namespaceURI` The namespaceURI.

Fields inherited from class org.apache.batik.css.parser.AbstractAttributeCondition
`value`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`DefaultPseudoClassCondition(java.lang.String namespaceURI, java.lang.String value)` Creates a new DefaultAttributeCondition object.

Method Summary
`short` `getConditionType()` SAC: Implements `Condition.getConditionType()`.
`java.lang.String` `getLocalName()` SAC: Implements `AttributeCondition.getLocalName()`.
`java.lang.String` `getNamespaceURI()` SAC: Implements `AttributeCondition.getNamespaceURI()`.
`boolean` `getSpecified()` SAC: Implements `AttributeCondition.getSpecified()`.
`java.lang.String` `toString()` Returns a text representation of this object.

Methods inherited from class org.apache.batik.css.parser.AbstractAttributeCondition
`getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### namespaceURI

    protected java.lang.String namespaceURI

  The namespaceURI.

Constructor Detail

### DefaultPseudoClassCondition

    public DefaultPseudoClassCondition(java.lang.String namespaceURI,
                                       java.lang.String value)

  Creates a new DefaultAttributeCondition object.

Method Detail

### getConditionType

    public short getConditionType()

  SAC: Implements `Condition.getConditionType()`.

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  SAC: Implements `AttributeCondition.getNamespaceURI()`.

### getLocalName

    public java.lang.String getLocalName()

  SAC: Implements `AttributeCondition.getLocalName()`.

### getSpecified

    public boolean getSpecified()

  SAC: Implements `AttributeCondition.getSpecified()`.

### toString

    public java.lang.String toString()

  Returns a text representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.